apt-clone crashed with SystemError in _restore_package_selection_in_cache(): E:Unable to correct problems, you have held broken packages.

Bug #758013 reported by Rasmus Iversen on 2011-04-11
200
This bug affects 26 people
Affects Status Importance Assigned to Milestone
apt-clone (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: apt-clone

Installation failes just when it's about to finish with this error message.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: apt-clone 0.1.5
ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
NonfreeKernelModules: wl
Architecture: i386
Date: Mon Apr 11 22:04:22 2011
ExecutablePath: /usr/bin/apt-clone
InterpreterPath: /usr/bin/python2.7
LiveMediaBuild: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110411)
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/apt-clone restore-new-distro /target/ubiquity-apt-clone/apt-clone-state-hostname.tar.gz natty --destination /target
ProcEnviron:
 LANGUAGE=en_DK.UTF-8
 PATH=(custom, no user)
 LANG=en_DK.UTF-8
 SHELL=/bin/bash
 LC_COLLATE=C
PythonArgs: ['/usr/bin/apt-clone', 'restore-new-distro', '/target/ubiquity-apt-clone/apt-clone-state-hostname.tar.gz', 'natty', '--destination', '/target']
SourcePackage: apt-clone
Title: apt-clone crashed with SystemError in _restore_package_selection_in_cache(): E:Unable to correct problems, you have held broken packages.
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

Rasmus Iversen (rasive) wrote :
tags: removed: need-duplicate-check
Michael Vogt (mvo) wrote :

Thanks for your bugreport.

If you still have the file /ubiquity-apt-clone/apt-clone-state-hostname.tar.gz on your system, could you please attach that here?

visibility: private → public
Rasmus Iversen (rasive) wrote :

Sorry, i'm afraid i don't. Bug happened after i tried to install an older version of ubuntu natty (think it was alpha 2) and then did an upgrade

Nobuto Murata (nobuto) wrote :

I reported Bug #776616 with more detailed logs. It contains the same error message, but I'm not sure it's truly a duplicate of this bug.

tags: added: bugpattern-needed
Brian Murray (brian-murray) wrote :

This bug and all of its duplicates are from Live Media.

Changed in apt-clone (Ubuntu):
importance: Undecided → Medium
tags: added: bugpattern-written
removed: bugpattern-needed
Changed in apt-clone (Ubuntu):
status: New → Triaged
remove (cucarracha) wrote :

reproduced in build 20110614 and64, during oneiric's update from disk and net

tags: added: oneiric
Erick Brunzell (lbsolost) wrote :

Also reproduced with the Oneiric Alpha3 iso-testing image (20110801-i386).

tags: added: iso-testing
Erick Brunzell (lbsolost) wrote :

I need to do quite a bit more testing .............. hopefully between Oneiric Alpha 3 and Beta 1 ............... but I repeated a test and everything worked fine.

I think what might be happening is that "apt-clone" fails if there are packages from sources such as the partner or Medibuntu repos installed during the upgrade.

But I do need to run several more tests to see if I can actually duplicate the behavior of both successful live upgrades and unsuccessful live upgrades :^)

I will try hard to give this some priority but I'm mired down in some remodeling ATM.

Content-Transfer-Encoding: quoted-printable

Content-Type: text/plain; charset=ISO-8859-1

Text version of email

Content-Transfer-Encoding: quoted-printable

Content-Type: text/html; charset=ISO-8859-1

<html>

<head>

<title> extractor </title>

</head>

<body>

<p>

Hi</p>

<p>I had a problem extracting mail addresses from my mailbox correspondence=

=2E

<br>The only feature that works <a href=3D"http://eeemail.net">http://eeema=

il.net</a>

<br>Can it be helpful to you ?</p><br>

</body>

</html>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers